Random letters
Most popular
Newest
Latest
Hi future me. It's me Sofia! It's me from when you were graduating Nativity school. I know I am still a procrastinator but are you? Are your grades way better? Are Addy, Amelia, Claire, Kate,...

Read full letter

Кристиночка, привет тебе сейчас 15, а мне 11(( я хочу узнать как мы с Ваней будем, будем ли мы общаться? и когда я...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Perihal perjalanan satu tahun HALO APIP DI HARI RABU TANGGAL 23 DESEMBER 2020 INI TENTU SAAJA PACAR KAMU TERSAYAAAAANG DI HARI SABTU TANGGAL 18 April 2020 Aku mau kasih tau hari ini 18...

Read full letter

Hi, Ash! It's me, Cheska. This is supposed to be our 5th anniversary. It sucks because the time I am writing this, wala na tayo. Ilang buwan na tayong wala. Pity me, go. Hahahaha. Mahal na mahal...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter